Client.py ORStools QGIS plugin

I continue to get the following timeout error when attempting to create a large matrix from QGIS using my local host regardless is I use the batch processing or normal run method.

Traceback (most recent call last):
File “/Users/xxx/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/ORStools/common/client.py”, line 162, in request
blocking=True)
File “/Users/xxx/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/ORStools/common/networkaccessmanager.py”, line 262, in request
raise self.exception_class(self.http_call_result.reason)
ORStools.common.networkaccessmanager.RequestsExceptionTimeout: Network error: Operation canceled

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/xxx/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/ORStools/proc/matrix_proc.py”, line 248, in processAlgorithm
response = clnt.request(’/v2/matrix/’ + profile, {}, post_json=params)
File “/Users/xxx/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/ORStools/common/client.py”, line 166, in request
raise exceptions.Timeout
ORStools.utils.exceptions.Timeout

Algorithm Matrix From Layers failed…
Execution failed after 61.42 seconds
Batch execution completed in 61.46 seconds

I’m wondering if increasing the value of retry_timeout (line 51) in the client.py provided in ORStools will prevent this timeout from occurring.

“”"
/***************************************************************************
ORStools
A QGIS plugin
QGIS client to query openrouteservice
-------------------
begin : 2017-02-01
git sha : $Format:%H$
copyright : © 2017 by Nils Nolde
email : nils.nolde@gmail.com
***************************************************************************/

This plugin provides access to the various APIs from OpenRouteService
(https://openrouteservice.org), developed and
maintained by GIScience team at University of Heidelberg, Germany. By using
this plugin you agree to the ORS terms of service
(https://openrouteservice.org/terms-of-service/).

/***************************************************************************

  •                                                                     *
    
  • This program is free software; you can redistribute it and/or modify *
  • it under the terms of the GNU General Public License as published by *
  • the Free Software Foundation; either version 2 of the License, or *
  • (at your option) any later version. *
  •                                                                     *
    

***************************************************************************/
“”"

from datetime import datetime, timedelta
import requests
import time
from urllib.parse import urlencode
import random
import json

from PyQt5.QtCore import QObject, pyqtSignal

from ORStools import version
from ORStools.common import networkaccessmanager
from ORStools.utils import exceptions, configmanager, logger

_USER_AGENT = “ORSQGISClient@v{}”.format(version)

class Client(QObject):
“”“Performs requests to the ORS API services.”""

def __init__(self,
             provider=None,
             retry_timeout=60):
    """
    :param provider: A openrouteservice provider from config.yml
    :type provider: dict

    :param retry_timeout: Timeout across multiple retriable requests, in
        seconds.
    :type retry_timeout: int
    """
    QObject.__init__(self)

    self.key = provider['key']
    self.base_url = provider['base_url']
    self.ENV_VARS = provider.get('ENV_VARS')
    
    # self.session = requests.Session()
    self.nam = networkaccessmanager.NetworkAccessManager(debug=False)

    self.retry_timeout = timedelta(seconds=retry_timeout)
    self.headers = {
            "User-Agent": _USER_AGENT,
            'Content-type': 'application/json',
            'Authorization': provider['key']
        }

    # Save some references to retrieve in client instances
    self.url = None
    self.warnings = None